﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.GestionCategoriasArticulos
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de las categorias de los articulos
  /// </summary>
  public interface IGestionCategoriasArticuloService
  {
    /// <summary>
    /// Encontrar todas las categorias de artículo
    /// </summary>
    /// <returns>Todas las categorias de artículo</returns>
    List<CategoriaArticulo> BuscarTodasLasCategoriasArticulo();
  }
}

