﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.GestionEstadosOrdenReparacion
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de los tipos de estados de la orden de reparación
  /// </summary>
  public interface IGestionEstadoOrdenReparacionService
  {
    /// <summary>
    /// Encontrar todas los tipos de estados de la orden de reparación
    /// </summary>
    /// <returns>Todos los tipos de estados de la orden de reparación</returns>
    List<EstadoOrdenReparacion> BuscarTodosLosEstadosOrdenReparacion();
  }
}
