﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.GestionEstadosReparacion
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de los estados de reparacion
  /// </summary>
  public interface IGestionEstadoReparacionService
  {
    /// <summary>
    /// Encontrar todas los estados reparación
    /// </summary>
    /// <returns>Todas los estados reparación</returns>
    List<EstadoReparacion> BuscarTodosLosEstadosReparacion();
  }
}
