﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.GestionProvincias
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de las provincias
  /// </summary>
  public interface IGestionProvinciaService
  {
    /// <summary>
    /// Encontrar todas las provincias
    /// </summary>
    /// <returns>Todas las provincias</returns>
    List<Provincia> BuscarTodasLasProvincias();
  }
}
