﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.GestionTiposCombustible
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de los tipos de combustible
  /// </summary>
  public interface IGestionTipoCombustibleService
  {
    /// <summary>
    /// Encontrar todos los tipos de combustible
    /// </summary>
    /// <returns>Todas los tipos de combustible</returns>
    List<TipoCombustible> BuscarTodosLosTiposDeCombustible();
  }
}
