﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.GestionTiposVehiculo
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de los tipos de vehiculo
  /// </summary>
  public interface IGestionTipoVehiculoService
  {
    /// <summary>
    /// Encontrar todas los tipos de vehiculo
    /// </summary>
    /// <returns>Todas los tipos de vehiculo</returns>
    List<TipoVehiculo> BuscarTodosLosTiposDeVehiculo();
  }
}
