﻿CREATE TABLE [dbo].[Recepciones] (
    [Id]                          UNIQUEIDENTIFIER NOT NULL,
    [FechaHoraRecepcion]          DATETIME         NULL,
    [ObservacionesSobreElCliente] NVARCHAR (500)   NULL,
    [NombreContactoAdicional]     NVARCHAR (50)    NULL,
    [TelefonoContactoAdicional]   NVARCHAR (50)    NULL,
    [SubTotal]                    MONEY            NULL,
    [ImporteIva]                  MONEY            NULL,
    [Kilometraje]                 NUMERIC (10, 2)  NULL,
    [Prediagnostico]              NVARCHAR (500)   NULL,
    [ContenidoAdicional]          NVARCHAR (300)   NULL,
    [Combustible]                 INT              NULL,
    [FechaHoraEntrega]            DATETIME         NULL,
    [Observaciones]               NVARCHAR (500)   NULL,
    [IdCliente]                   UNIQUEIDENTIFIER NULL,
    [IdVehiculo]                  UNIQUEIDENTIFIER NULL,
    [IdEmpleado]                  UNIQUEIDENTIFIER NULL,
    [CodigoTaller]                NVARCHAR (50)    NULL
);

