﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Autofac;
using DevExpress.XtraEditors;

namespace GestionConcesionarios.Presentacion.Base
{
  public partial class FormPrincipalBase : BindableFormBase
  {
    private readonly ILifetimeScope _lifetimeScope;

    public FormPrincipalBase()
    {
      InitializeComponent();
    }

    public FormPrincipalBase(ILifetimeScope lifetimeScope)
    {
      InitializeComponent();
      _lifetimeScope = lifetimeScope;
    }

    public ILifetimeScope LifetimeScope
    {
      get { return _lifetimeScope; }
    }
  }
}