﻿using GestionConcesionarios.Presentacion.Base;

namespace GestionConcesionarios.Presentacion.CasosDeUso.BuscarPaqueteDeServicio
{
  public partial class FormPaquetesDeServicio : BindableFormBase
  {
    #region Atributos

    private readonly BuscarPaqueteDeServicioPresenter _buscarPaqueteDeServicioPresenter;

    #endregion

    #region Constructores

    public FormPaquetesDeServicio(BuscarPaqueteDeServicioPresenter buscarPaqueteDeServicioPresenter)
    {
      InitializeComponent();
      _buscarPaqueteDeServicioPresenter = buscarPaqueteDeServicioPresenter;
    }

    #endregion

    #region Manejadores de eventos

    private void barButtonItemCerrar_ItemClick(object sender, DevExpress.XtraBars.ItemClickEventArgs e)
    {
      Close();
    }

    private void barButtonItemNuevoPaquete_ItemClick(object sender, DevExpress.XtraBars.ItemClickEventArgs e)
    {
      _buscarPaqueteDeServicioPresenter.MostrarFormPaqueteDeServicio();
      Close();
    }

    private void barButtonItemAsignarPaquete_ItemClick(object sender, DevExpress.XtraBars.ItemClickEventArgs e)
    {
      gridViewListaPaquetes.PostEditor();
      _buscarPaqueteDeServicioPresenter.AsignarPaquetesDeServicio();
      Close();
    }

    private void simpleButtonBuscar_Click(object sender, System.EventArgs e)
    {
      _buscarPaqueteDeServicioPresenter.Buscar();
    }

    private void FormPaquetesDeServicio_Load(object sender, System.EventArgs e)
    {
      if (_buscarPaqueteDeServicioPresenter != null)
      {
        //_buscarPaqueteDeServicioPresenter.NuevaBusqueda();
        //_buscarPaqueteDeServicioPresenter.SubscribirAccionesACambiosEnElModelo();
        bindingSourcePresenter.DataSource = _buscarPaqueteDeServicioPresenter;
      }
    }

    private void repositoryItemCheckEdit1_EditValueChanged(object sender, System.EventArgs e)
    {
      gridViewListaPaquetes.PostEditor();
    }
    #endregion
  }
}