﻿using System;
using System.Windows.Forms;

namespace GestionConcesionarios.Presentacion.Extensiones
{
  public static class ControlExtensions
  {
    public static object InvokeAction(this Control control, Action action)
    {
      return control.Invoke((MethodInvoker) (() => action()));
    }

    public static IAsyncResult BeginInvoke(this Control control, Action action)
    {
      return control.BeginInvoke((MethodInvoker) (() => action()));
    }
  }
}
