﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevExpress.XtraLayout.Utils;
using Kent.Boogaart.Truss;

namespace GestionConcesionarios.Presentacion.Infraestructura.Helpers
{
  public class BoolToLayoutVisibilityValueConverter : IValueConverter
  {
    //Convierte un boolean en un LayoutVisibility
    public object ConvertSourceToTarget(object value, Type type, object parameter)
    {
      var valor =(bool) value;
      return valor ? LayoutVisibility.Always : LayoutVisibility.Never;
    }

    //Convierte un LayoutVisibility en un  boolean
    public object ConvertTargetToSource(object value, Type type, object parameter)
    {
      var visibility = (LayoutVisibility) value;

      return visibility==LayoutVisibility.Always;
    }
  }
}
