﻿namespace GestionConcesionarios.Presentacion.Infraestructura.Mediator
{
  public static class MediatorMessages
  {
    public const string AñadirProveedorAlArticulo = "FormArticulo.AñadirProveedorAlArticulo";
    public const string AñadirReparacionesAFinalizarReparaciones = "FinalizarReparaciones.AñadirReparacionesAFinalizarReparaciones";
    public const string AñadirManoDeObraAlPaqueteDeServicio = "FormPaqueteDeServicio.AñadirManoDeObraAlPaqueteDeServicio";
    public const string AñadirManoDeObraALaOrdenDeReparacion = "FormOrdenDeReparacion.AñadirManoDeObraALaOrdenDeReparacion";
    public const string AñadirArticuloALaOrdenDeReparacion = "FormOrdenDeReparacion.AñadirArticuloALaOrdenDeReparacion";
    public const string AñadirArticuloALasEntradasAlAlmacen = "FormEntradaAlAlmacen.AñadirArticuloALasEntradasAlAlmacen";
    public const string AñadirArticuloAlPaqueteDeServicio = "FormPaqueteDeServicio.AñadirArticuloAlPaqueteDeServicio";
    public const string AñadirVehiculoVentaAlPresupuesto = "FormPresupuesto.AñadirVehiculoVentaAlPresupuesto";
    public const string AñadirVehiculoVentaALaFactura = "FormFactura.AñadirVehiculoVentaAlPresupuesto";
    public const string AñadirClienteAlPresupuesto = "FormPresupuesto.AñadirClienteAlPresupuesto";
    public const string AñadirClienteALaFactura = "FormFactura.AñadirClienteAlPresupuesto";
    public const string AñadirClienteALaRecepcion = "FormRecepcionVehiculo.AñadirClienteALaRecepcion";
    public const string AñadirVehiculo = "AñadirVehiculo";

    public const string AlGuardarElProveedorOSeleccionarloAñadirloAlArticulo = "FormProveedor.AlGuardarElProveedorOSeleccionarloAñadirloAlArticulo";
    public const string AlGuardarLaManoDeObraOSeleccionarlaAñadirlaALaOrdenDeReparacion = "FormManoDeObra.AlGuardarLaManoDeObraOSeleccionarlaAñadirlaALaOrdenDeReparacion";
    public const string AlGuardarLaManoDeObraOSeleccionarlaAñadirlaAlPaqueteDeServicio = "FormManosDeObra.AlGuardarLaManoDeObraOSeleccionarlaAñadirlaAlPaqueteDeServicio";
    public const string AlGuardarElArticuloOSeleccionarloAñadirloAlPaqueteDeServicio = "FormArticulos.AlGuardarElArticuloOSeleccionarloAñadirloAlPaqueteDeServicio";
    public const string AlGuardarElArticuloOSeleccionarloAñadirloALaOrdenDeReparacion = "FormArticulos.AlGuardarElArticuloOSeleccionarloAñadirloALaOrdenDeReparacion";
    public const string AlGuardarElPaqueteDeServicioOSeleccionarloAñadirloALaOrdenDeReparacion = "FormPaqueteDeServicio.AlGuardarElPaqueteDeServicioOSeleccionarloAñadirloALaOrdenDeReparacion";
    public const string AlGuardarElClienteOSeleccionarloAñadirloAlPresupuestoOFactura = "FormCliente.AlGuardarElClienteOSeleccionarloAñadirloAlPresupuestoOFactura";
    public const string AlGuardarElClienteOSeleccionarloAñadirloALaRecepcion = "FormCliente.AlGuardarElClienteOSeleccionarloAñadirloALaRecepcion";
    public const string AlGuardarElVehiculoDeVentaOSeleccionarloAñadirloAlPresupuestoOFactura = "FormVehiculoVenta.AlGuardarElVehiculoDeVentaOSeleccionarloAñadirloAlPresupuestoOFactura";

    public const string AlGuardarElVehiculoOSeleccionarloNotificarYCerrarLaVista = "FormVehiculo.AlGuardarElVehiculoOSeleccionarloNotificarYCerrarLaVista";

    public const string AlAsignarArticuloDesdeFormArticulosAñadirloALasEntradasAlAlmacen = "FormArticulos.AlAsignarArticuloDesdeFormArticulosAñadirloALasEntradasAlAlmacen";
    
    public const string BuscarReparacionesOrdenDeReparacionSeleccionada = "BuscarReparaciones.OrdenDeReparacionSeleccionada";
    public const string BuscarPaqueteDeServicioPaqueteDeServicioSeleccionado = "BuscarPaqueteDeServicio.PaqueteDeServicioSeleccionado";
    public const string BuscarOrdenDeReparacionOrdenDeReparacionSeleccionada = "BuscarOrdenDeReparacion.OrdenDeReparacionSeleccionada";
    public const string BuscarRecepcionVehiculoRecepcionVehiculoSeleccionada = "BuscarRecepcionVehiculo.RecepcionVehiculoSeleccionada";
    public const string BuscarProveedorProveedorSeleccionado = "BuscarProveedor.ProveedorSeleccionado";
    public const string BuscarArticuloArticuloSeleccionado = "BuscarArticulo.ArticuloSeleccionado";
    public const string BuscarManoDeObraManoDeObraSeleccionada = "BuscarManoDeObra.ManoDeObraSeleccionada";
    public const string BuscarPresupuestoPresupuestoSeleccionado = "BuscarPresupuesto.PresupuestoSeleccionado";
    public const string BuscarVehiculoVentaVehiculoVentaSeleccionado = "BuscarVehiculoVenta.VehiculoVentaSeleccionado";
    public const string BuscarClienteClienteSeleccionado = "BuscarCliente.ClienteSeleccionado";
    public const string BuscarVehiculoVehiculoSeleccionado = "BuscarVehiculo.VehiculoSeleccionado";
    public const string BuscarFacturaFacturaSeleccionada = "BuscarFactura.FacturaSeleccionada";
    public const string BuscarOrdenesDeReparacionDelVehiculo = "BuscarOrdenesDeReparacionDelVehiculo";
    
    public const string HistorialOrdenesDeReparacionOrdenDeReparacionSeleccionada = "HistorialOrdenesDeReparacion.OrdenDeReparacionSeleccionada";
    public const string NuevoVehiculoVenta = "FormVehiculoVenta.NuevoVehiculoVenta";
    public const string EditarVehiculoVenta = "FormVehiculoVenta.EditarVehiculoVenta";
    public const string NuevoVehiculo = "FormVehiculo.NuevoVehiculo";
    public const string EditarVehiculo = "FormVehiculo.EditarVehiculo";

    public const string ConvertirPresupuestoEnFactura = "ConvertirPresupuestoEnFactura";
    
    public const string OpenForm = "OpenForm";
    public const string OpenFormWithParameter = "OpenFormWithParameter";
  }
}
