﻿namespace GestionConcesionarios.Presentacion.Infraestructura.MessageService
{
  public interface IAskService
  {
    /// <summary>
    /// Asks the user a Yes/No question, using "Yes" as the default button.
    /// Returns <c>true</c> if yes was clicked, <c>false</c> if no was clicked.
    /// </summary>
    bool AskYesNoQuestion(string question, string caption);

  }
}