using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Lassalle.Flow;

namespace Lassalle.DlgFlow
{
	/// <summary>
	/// Summary description for AddFlowPropertyPage.
	/// </summary>
	public class AddFlowPropertyPage : System.Windows.Forms.Form
	{
        internal System.Windows.Forms.CheckBox CheckBoxMultisel;
        internal System.Windows.Forms.CheckBox CheckBoxAntiAliasing;
        internal System.Windows.Forms.ComboBox ComboBoxSelectionHandleSize;
        internal System.Windows.Forms.Label Label4;
        internal System.Windows.Forms.Label Label3;
        internal System.Windows.Forms.Label Label2;
        internal System.Windows.Forms.Label label1;
        internal System.Windows.Forms.ComboBox ComboBoxLinkHandleSize;
        internal System.Windows.Forms.CheckBox CheckBoxCanChangeDst;
        internal System.Windows.Forms.CheckBox CheckBoxCanChangeOrg;
        internal System.Windows.Forms.ComboBox ComboBoxCycleMode;
        internal System.Windows.Forms.ComboBox comboBoxLinkCreationMode;
        internal System.Windows.Forms.CheckBox CheckBoxCanLabelEdit;
        internal System.Windows.Forms.CheckBox CheckBoxCanUndoRedo;
        internal System.Windows.Forms.CheckBox CheckBoxCanReflexLink;
        internal System.Windows.Forms.CheckBox CheckBoxCanMultiLink;
        internal System.Windows.Forms.CheckBox CheckBoxCanDragScroll;
        internal System.Windows.Forms.CheckBox CheckBoxCanDrawNode;
        internal System.Windows.Forms.CheckBox CheckBoxCanDrawLink;
        internal System.Windows.Forms.CheckBox CheckBoxCanStretchLink;
        internal System.Windows.Forms.CheckBox CheckBoxCanSizeNode;
        internal System.Windows.Forms.CheckBox CheckBoxCanMoveNode;
        internal System.Windows.Forms.Button Button2;
        internal System.Windows.Forms.Button Button1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
        private System.ComponentModel.Container components = null;
		internal System.Windows.Forms.ComboBox ComboBoxJumpSize;
		internal System.Windows.Forms.Label label5;
		internal System.Windows.Forms.Label label6;
		internal System.Windows.Forms.ComboBox ComboBoxRoundedCornerSize;
		internal System.Windows.Forms.Label label7;
		internal System.Windows.Forms.ComboBox ComboBoxLinkSelectionAreaWidth;

        private AddFlow m_addflow = null;

        /// <summary>AddFlow property page constructor</summary>
		public AddFlowPropertyPage()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.CheckBoxMultisel = new System.Windows.Forms.CheckBox();
			this.CheckBoxAntiAliasing = new System.Windows.Forms.CheckBox();
			this.ComboBoxSelectionHandleSize = new System.Windows.Forms.ComboBox();
			this.Label4 = new System.Windows.Forms.Label();
			this.Label3 = new System.Windows.Forms.Label();
			this.Label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.ComboBoxLinkHandleSize = new System.Windows.Forms.ComboBox();
			this.CheckBoxCanChangeDst = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanChangeOrg = new System.Windows.Forms.CheckBox();
			this.ComboBoxCycleMode = new System.Windows.Forms.ComboBox();
			this.comboBoxLinkCreationMode = new System.Windows.Forms.ComboBox();
			this.CheckBoxCanLabelEdit = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanUndoRedo = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanReflexLink = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanMultiLink = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanDragScroll = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanDrawNode = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanDrawLink = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanStretchLink = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanSizeNode = new System.Windows.Forms.CheckBox();
			this.CheckBoxCanMoveNode = new System.Windows.Forms.CheckBox();
			this.Button2 = new System.Windows.Forms.Button();
			this.Button1 = new System.Windows.Forms.Button();
			this.ComboBoxJumpSize = new System.Windows.Forms.ComboBox();
			this.label5 = new System.Windows.Forms.Label();
			this.ComboBoxRoundedCornerSize = new System.Windows.Forms.ComboBox();
			this.label6 = new System.Windows.Forms.Label();
			this.ComboBoxLinkSelectionAreaWidth = new System.Windows.Forms.ComboBox();
			this.label7 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// CheckBoxMultisel
			// 
			this.CheckBoxMultisel.Location = new System.Drawing.Point(12, 327);
			this.CheckBoxMultisel.Name = "CheckBoxMultisel";
			this.CheckBoxMultisel.TabIndex = 34;
			this.CheckBoxMultisel.Text = "Multisel";
			// 
			// CheckBoxAntiAliasing
			// 
			this.CheckBoxAntiAliasing.Location = new System.Drawing.Point(12, 15);
			this.CheckBoxAntiAliasing.Name = "CheckBoxAntiAliasing";
			this.CheckBoxAntiAliasing.TabIndex = 33;
			this.CheckBoxAntiAliasing.Text = "AntiAliasing";
			// 
			// ComboBoxSelectionHandleSize
			// 
			this.ComboBoxSelectionHandleSize.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.ComboBoxSelectionHandleSize.Location = new System.Drawing.Point(144, 128);
			this.ComboBoxSelectionHandleSize.Name = "ComboBoxSelectionHandleSize";
			this.ComboBoxSelectionHandleSize.Size = new System.Drawing.Size(136, 21);
			this.ComboBoxSelectionHandleSize.TabIndex = 38;
			// 
			// Label4
			// 
			this.Label4.AutoSize = true;
			this.Label4.Location = new System.Drawing.Point(144, 112);
			this.Label4.Name = "Label4";
			this.Label4.Size = new System.Drawing.Size(109, 16);
			this.Label4.TabIndex = 44;
			this.Label4.Text = "SelectionHandleSize";
			// 
			// Label3
			// 
			this.Label3.AutoSize = true;
			this.Label3.Location = new System.Drawing.Point(144, 64);
			this.Label3.Name = "Label3";
			this.Label3.Size = new System.Drawing.Size(83, 16);
			this.Label3.TabIndex = 42;
			this.Label3.Text = "LinkHandleSize";
			// 
			// Label2
			// 
			this.Label2.AutoSize = true;
			this.Label2.Location = new System.Drawing.Point(144, 160);
			this.Label2.Name = "Label2";
			this.Label2.Size = new System.Drawing.Size(61, 16);
			this.Label2.TabIndex = 39;
			this.Label2.Text = "CycleMode";
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Location = new System.Drawing.Point(144, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(96, 16);
			this.label1.TabIndex = 35;
			this.label1.Text = "LinkCreationMode";
			// 
			// ComboBoxLinkHandleSize
			// 
			this.ComboBoxLinkHandleSize.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.ComboBoxLinkHandleSize.Location = new System.Drawing.Point(144, 80);
			this.ComboBoxLinkHandleSize.Name = "ComboBoxLinkHandleSize";
			this.ComboBoxLinkHandleSize.Size = new System.Drawing.Size(136, 21);
			this.ComboBoxLinkHandleSize.TabIndex = 37;
			// 
			// CheckBoxCanChangeDst
			// 
			this.CheckBoxCanChangeDst.Location = new System.Drawing.Point(12, 63);
			this.CheckBoxCanChangeDst.Name = "CheckBoxCanChangeDst";
			this.CheckBoxCanChangeDst.TabIndex = 22;
			this.CheckBoxCanChangeDst.Text = "CanChangeDst";
			// 
			// CheckBoxCanChangeOrg
			// 
			this.CheckBoxCanChangeOrg.Location = new System.Drawing.Point(12, 39);
			this.CheckBoxCanChangeOrg.Name = "CheckBoxCanChangeOrg";
			this.CheckBoxCanChangeOrg.TabIndex = 21;
			this.CheckBoxCanChangeOrg.Text = "CanChangeOrg";
			// 
			// ComboBoxCycleMode
			// 
			this.ComboBoxCycleMode.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.ComboBoxCycleMode.Location = new System.Drawing.Point(144, 176);
			this.ComboBoxCycleMode.Name = "ComboBoxCycleMode";
			this.ComboBoxCycleMode.Size = new System.Drawing.Size(136, 21);
			this.ComboBoxCycleMode.TabIndex = 40;
			// 
			// comboBoxLinkCreationMode
			// 
			this.comboBoxLinkCreationMode.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBoxLinkCreationMode.Location = new System.Drawing.Point(144, 32);
			this.comboBoxLinkCreationMode.Name = "comboBoxLinkCreationMode";
			this.comboBoxLinkCreationMode.Size = new System.Drawing.Size(136, 21);
			this.comboBoxLinkCreationMode.TabIndex = 36;
			// 
			// CheckBoxCanLabelEdit
			// 
			this.CheckBoxCanLabelEdit.Location = new System.Drawing.Point(12, 159);
			this.CheckBoxCanLabelEdit.Name = "CheckBoxCanLabelEdit";
			this.CheckBoxCanLabelEdit.TabIndex = 26;
			this.CheckBoxCanLabelEdit.Text = "CanLabelEdit";
			// 
			// CheckBoxCanUndoRedo
			// 
			this.CheckBoxCanUndoRedo.Location = new System.Drawing.Point(12, 303);
			this.CheckBoxCanUndoRedo.Name = "CheckBoxCanUndoRedo";
			this.CheckBoxCanUndoRedo.TabIndex = 32;
			this.CheckBoxCanUndoRedo.Text = "CanUndoRedo";
			// 
			// CheckBoxCanReflexLink
			// 
			this.CheckBoxCanReflexLink.Location = new System.Drawing.Point(12, 231);
			this.CheckBoxCanReflexLink.Name = "CheckBoxCanReflexLink";
			this.CheckBoxCanReflexLink.TabIndex = 29;
			this.CheckBoxCanReflexLink.Text = "CanReflexLink";
			// 
			// CheckBoxCanMultiLink
			// 
			this.CheckBoxCanMultiLink.Location = new System.Drawing.Point(12, 207);
			this.CheckBoxCanMultiLink.Name = "CheckBoxCanMultiLink";
			this.CheckBoxCanMultiLink.TabIndex = 28;
			this.CheckBoxCanMultiLink.Text = "CanMultiLink";
			// 
			// CheckBoxCanDragScroll
			// 
			this.CheckBoxCanDragScroll.Location = new System.Drawing.Point(12, 87);
			this.CheckBoxCanDragScroll.Name = "CheckBoxCanDragScroll";
			this.CheckBoxCanDragScroll.TabIndex = 23;
			this.CheckBoxCanDragScroll.Text = "CanDragScroll";
			// 
			// CheckBoxCanDrawNode
			// 
			this.CheckBoxCanDrawNode.Location = new System.Drawing.Point(12, 135);
			this.CheckBoxCanDrawNode.Name = "CheckBoxCanDrawNode";
			this.CheckBoxCanDrawNode.TabIndex = 25;
			this.CheckBoxCanDrawNode.Text = "CanDrawNode";
			// 
			// CheckBoxCanDrawLink
			// 
			this.CheckBoxCanDrawLink.Location = new System.Drawing.Point(12, 111);
			this.CheckBoxCanDrawLink.Name = "CheckBoxCanDrawLink";
			this.CheckBoxCanDrawLink.TabIndex = 24;
			this.CheckBoxCanDrawLink.Text = "CanDrawLink";
			// 
			// CheckBoxCanStretchLink
			// 
			this.CheckBoxCanStretchLink.Location = new System.Drawing.Point(12, 279);
			this.CheckBoxCanStretchLink.Name = "CheckBoxCanStretchLink";
			this.CheckBoxCanStretchLink.TabIndex = 31;
			this.CheckBoxCanStretchLink.Text = "CanStretchLink";
			// 
			// CheckBoxCanSizeNode
			// 
			this.CheckBoxCanSizeNode.Location = new System.Drawing.Point(12, 255);
			this.CheckBoxCanSizeNode.Name = "CheckBoxCanSizeNode";
			this.CheckBoxCanSizeNode.TabIndex = 30;
			this.CheckBoxCanSizeNode.Text = "CanSizeNode";
			// 
			// CheckBoxCanMoveNode
			// 
			this.CheckBoxCanMoveNode.Location = new System.Drawing.Point(12, 183);
			this.CheckBoxCanMoveNode.Name = "CheckBoxCanMoveNode";
			this.CheckBoxCanMoveNode.TabIndex = 27;
			this.CheckBoxCanMoveNode.Text = "CanMoveNode";
			// 
			// Button2
			// 
			this.Button2.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.Button2.Location = new System.Drawing.Point(316, 55);
			this.Button2.Name = "Button2";
			this.Button2.TabIndex = 43;
			this.Button2.Text = "Cancel";
			// 
			// Button1
			// 
			this.Button1.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.Button1.Location = new System.Drawing.Point(316, 23);
			this.Button1.Name = "Button1";
			this.Button1.TabIndex = 41;
			this.Button1.Text = "OK";
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			// 
			// ComboBoxJumpSize
			// 
			this.ComboBoxJumpSize.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.ComboBoxJumpSize.Location = new System.Drawing.Point(144, 224);
			this.ComboBoxJumpSize.Name = "ComboBoxJumpSize";
			this.ComboBoxJumpSize.Size = new System.Drawing.Size(136, 21);
			this.ComboBoxJumpSize.TabIndex = 45;
			// 
			// label5
			// 
			this.label5.AutoSize = true;
			this.label5.Location = new System.Drawing.Point(144, 208);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(54, 16);
			this.label5.TabIndex = 46;
			this.label5.Text = "JumpSize";
			// 
			// ComboBoxRoundedCornerSize
			// 
			this.ComboBoxRoundedCornerSize.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.ComboBoxRoundedCornerSize.Location = new System.Drawing.Point(144, 272);
			this.ComboBoxRoundedCornerSize.Name = "ComboBoxRoundedCornerSize";
			this.ComboBoxRoundedCornerSize.Size = new System.Drawing.Size(136, 21);
			this.ComboBoxRoundedCornerSize.TabIndex = 47;
			// 
			// label6
			// 
			this.label6.AutoSize = true;
			this.label6.Location = new System.Drawing.Point(144, 256);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(107, 16);
			this.label6.TabIndex = 48;
			this.label6.Text = "RoundedCornerSize";
			// 
			// ComboBoxLinkSelectionAreaWidth
			// 
			this.ComboBoxLinkSelectionAreaWidth.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.ComboBoxLinkSelectionAreaWidth.Location = new System.Drawing.Point(144, 320);
			this.ComboBoxLinkSelectionAreaWidth.Name = "ComboBoxLinkSelectionAreaWidth";
			this.ComboBoxLinkSelectionAreaWidth.Size = new System.Drawing.Size(136, 21);
			this.ComboBoxLinkSelectionAreaWidth.TabIndex = 49;
			// 
			// label7
			// 
			this.label7.AutoSize = true;
			this.label7.Location = new System.Drawing.Point(144, 304);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(125, 16);
			this.label7.TabIndex = 50;
			this.label7.Text = "LinkSelectionAreaWidth";
			// 
			// AddFlowPropertyPage
			// 
            this.AutoScaleDimensions = new System.Drawing.SizeF(5, 13);
			this.ClientSize = new System.Drawing.Size(402, 359);
			this.ControlBox = false;
			this.Controls.Add(this.ComboBoxLinkSelectionAreaWidth);
			this.Controls.Add(this.label7);
			this.Controls.Add(this.ComboBoxRoundedCornerSize);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.ComboBoxJumpSize);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.CheckBoxMultisel);
			this.Controls.Add(this.CheckBoxAntiAliasing);
			this.Controls.Add(this.ComboBoxSelectionHandleSize);
			this.Controls.Add(this.Label4);
			this.Controls.Add(this.Label3);
			this.Controls.Add(this.Label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.ComboBoxLinkHandleSize);
			this.Controls.Add(this.CheckBoxCanChangeDst);
			this.Controls.Add(this.CheckBoxCanChangeOrg);
			this.Controls.Add(this.ComboBoxCycleMode);
			this.Controls.Add(this.comboBoxLinkCreationMode);
			this.Controls.Add(this.CheckBoxCanLabelEdit);
			this.Controls.Add(this.CheckBoxCanUndoRedo);
			this.Controls.Add(this.CheckBoxCanReflexLink);
			this.Controls.Add(this.CheckBoxCanMultiLink);
			this.Controls.Add(this.CheckBoxCanDragScroll);
			this.Controls.Add(this.CheckBoxCanDrawNode);
			this.Controls.Add(this.CheckBoxCanDrawLink);
			this.Controls.Add(this.CheckBoxCanStretchLink);
			this.Controls.Add(this.CheckBoxCanSizeNode);
			this.Controls.Add(this.CheckBoxCanMoveNode);
			this.Controls.Add(this.Button2);
			this.Controls.Add(this.Button1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "AddFlowPropertyPage";
			this.ShowInTaskbar = false;
			this.Text = "AddFlow Capabilities";
			this.Load += new System.EventHandler(this.AddFlowPropertyPage_Load);
			this.ResumeLayout(false);

		}
		#endregion

        /// <summary>Returns/sets the reference to the AddFlow object</summary>
        public AddFlow AddFlow
        {
            get { return m_addflow; }
            set { m_addflow = value; }
        }

        private void AddFlowPropertyPage_Load(object sender, System.EventArgs e)
        {
            CheckBoxCanMoveNode.Checked = m_addflow.CanMoveNode;
            CheckBoxCanSizeNode.Checked = m_addflow.CanSizeNode;
            CheckBoxCanStretchLink.Checked = m_addflow.CanStretchLink;
            CheckBoxCanDrawLink.Checked = m_addflow.CanDrawLink;
            CheckBoxCanDrawNode.Checked = m_addflow.CanDrawNode;
            CheckBoxCanDragScroll.Checked = m_addflow.CanDragScroll;
            CheckBoxCanMultiLink.Checked = m_addflow.CanMultiLink;
            CheckBoxCanReflexLink.Checked = m_addflow.CanReflexLink;
            CheckBoxCanUndoRedo.Checked = m_addflow.CanUndoRedo;
            CheckBoxCanLabelEdit.Checked = m_addflow.CanLabelEdit;
            CheckBoxCanChangeOrg.Checked = m_addflow.CanChangeOrg;
            CheckBoxCanChangeDst.Checked = m_addflow.CanChangeDst;
            CheckBoxAntiAliasing.Checked = m_addflow.AntiAliasing;
            CheckBoxMultisel.Checked = m_addflow.MultiSel;

            // Link Creation Mode
            foreach (LinkCreationMode lcm in System.Enum.GetValues(m_addflow.LinkCreationMode.GetType()))
                comboBoxLinkCreationMode.Items.Add(lcm.ToString());
            comboBoxLinkCreationMode.SelectedItem = m_addflow.LinkCreationMode.ToString();

            // Cycle Mode
            foreach (CycleMode cm in System.Enum.GetValues(m_addflow.CycleMode.GetType()))
                ComboBoxCycleMode.Items.Add(cm.ToString());
            ComboBoxCycleMode.SelectedItem = m_addflow.CycleMode.ToString();

            // Link Handle Size 
            foreach (HandleSize lhs in System.Enum.GetValues(m_addflow.LinkHandleSize.GetType()))
                ComboBoxLinkHandleSize.Items.Add(lhs.ToString());
            ComboBoxLinkHandleSize.SelectedItem = m_addflow.LinkHandleSize.ToString();

            // Selection Handle Size 
            foreach (HandleSize shs in System.Enum.GetValues(m_addflow.SelectionHandleSize.GetType()))
                ComboBoxSelectionHandleSize.Items.Add(shs.ToString());
            ComboBoxSelectionHandleSize.SelectedItem = m_addflow.SelectionHandleSize.ToString();
			
			// Jump Size 
			foreach (JumpSize js in System.Enum.GetValues(m_addflow.JumpSize.GetType()))
				ComboBoxJumpSize.Items.Add(js.ToString());
			ComboBoxJumpSize.SelectedItem = m_addflow.JumpSize.ToString();
			
			// Rounded Corner Size 
			foreach (RoundedCornerSize rcs in System.Enum.GetValues(m_addflow.RoundedCornerSize.GetType()))
				ComboBoxRoundedCornerSize.Items.Add(rcs.ToString());
			ComboBoxRoundedCornerSize.SelectedItem = m_addflow.RoundedCornerSize.ToString();
			
			// Link Selection Area Width 
			foreach (LinkSelectionAreaWidth lsaw in System.Enum.GetValues(m_addflow.LinkSelectionAreaWidth.GetType()))
				ComboBoxLinkSelectionAreaWidth.Items.Add(lsaw.ToString());
			ComboBoxLinkSelectionAreaWidth.SelectedItem = m_addflow.LinkSelectionAreaWidth.ToString();
        }

        private void Button1_Click(object sender, System.EventArgs e)
        {
            m_addflow.CanMoveNode = CheckBoxCanMoveNode.Checked;
            m_addflow.CanSizeNode = CheckBoxCanSizeNode.Checked;
            m_addflow.CanStretchLink = CheckBoxCanStretchLink.Checked;
            m_addflow.CanDrawLink = CheckBoxCanDrawLink.Checked;
            m_addflow.CanDrawNode = CheckBoxCanDrawNode.Checked;
            m_addflow.CanDragScroll = CheckBoxCanDragScroll.Checked;
            m_addflow.CanMultiLink = CheckBoxCanMultiLink.Checked;
            m_addflow.CanReflexLink = CheckBoxCanReflexLink.Checked;
            m_addflow.CanUndoRedo = CheckBoxCanUndoRedo.Checked;
            m_addflow.CanLabelEdit = CheckBoxCanLabelEdit.Checked;
            m_addflow.CanChangeOrg = CheckBoxCanChangeOrg.Checked;
            m_addflow.CanChangeDst = CheckBoxCanChangeDst.Checked;
            m_addflow.AntiAliasing = CheckBoxAntiAliasing.Checked;
            m_addflow.MultiSel = CheckBoxMultisel.Checked;
            m_addflow.LinkCreationMode = (LinkCreationMode)comboBoxLinkCreationMode.SelectedIndex;
            m_addflow.CycleMode = (CycleMode)ComboBoxCycleMode.SelectedIndex;
            m_addflow.LinkHandleSize = (HandleSize)ComboBoxLinkHandleSize.SelectedIndex;
			m_addflow.SelectionHandleSize = (HandleSize)ComboBoxSelectionHandleSize.SelectedIndex;
			m_addflow.JumpSize = (JumpSize)ComboBoxJumpSize.SelectedIndex;
			m_addflow.RoundedCornerSize = (RoundedCornerSize)ComboBoxRoundedCornerSize.SelectedIndex;
			m_addflow.LinkSelectionAreaWidth = (LinkSelectionAreaWidth)ComboBoxLinkSelectionAreaWidth.SelectedIndex;
        }
	}
}
