﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.CodigosPostales
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de los códigos postales
  /// </summary>
  public interface IGestionCodigoPostalService
  {
    /// <summary>
    /// Encontrar todos los códigos postales
    /// </summary>
    /// <returns>Todas los códigos postales</returns>
    List<CodigoPostal> BuscarTodosLosCodigosPostales();
  }
}
