﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.GestionFormasDePago
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de las formas de pago
  /// </summary>
  public interface IGestionFormaDePagoService
  {
    /// <summary>
    /// Encontrar todas las formas de pago
    /// </summary>
    /// <returns>Todas las formas de pago</returns>
    List<FormaDePago> BuscarTodasLasFormasDePago();
  }
}
