﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.GestionMarcas
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de las marcas
  /// </summary>
  public interface IGestionMarcaService
  {
    /// <summary>
    /// Encontrar todos las marcas
    /// </summary>
    /// <returns>Todas las marcas</returns>
    List<Marca> BuscarTodasLasMarcas();
  }
}
