﻿using System.Collections.Generic;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Aplicacion.ModuloPrincipal.GestionTiposEmpleado
{
  /// <summary>
  /// Contrato base para las operaciones en la capa de Aplicación de los tipos de empleado
  /// </summary>
  public interface IGestionTipoEmpleadoService
  {
    /// <summary>
    /// Encontrar todas los tipos de empleado
    /// </summary>
    /// <returns>Todas los tipos de empleado</returns>
    List<TipoEmpleado> BuscarTodosLosTiposDeEmpleado();
  }
}
