﻿using System.Collections.Generic;
using GestionConcesionarios.Dominio.Core;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Dominio.ModuloPrincipal.FormasDePago
{
  /// <summary>
  /// Contrato para el repositorio del 'Aggregate Root' Forma de pago
  /// </summary>
  public interface IFormaDePagoRepository : IRepository<FormaDePago>
  {
    /// <summary>
    /// Buscar todas las formas de pago
    /// </summary>
    /// <returns>Lista de todas las formas de pago</returns>
    List<FormaDePago> BuscarFormaDePago();
  }
}
