﻿using System.Collections.Generic;
using GestionConcesionarios.Dominio.Core;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Dominio.ModuloPrincipal.Marcas
{
  /// <summary>
  /// Contrato para el repositorio del 'Aggregate Root' Marca
  /// </summary>
  public interface IMarcaRepository : IRepository<Marca>
  {
    /// <summary>
    /// Buscar todas las marcas
    /// </summary>
    /// <returns>Lista de todas las marcas</returns>
    List<Marca> BuscarMarcas();
  }
}
