﻿using System.Collections.Generic;
using GestionConcesionarios.Dominio.Core;
using GestionConcesionarios.Infraestructura.Data.ModuloPrincipal.Modelo;

namespace GestionConcesionarios.Dominio.ModuloPrincipal.Provincias
{
  /// <summary>
  /// Contrato para el repositorio del 'Aggregate Root' Provincia
  /// </summary>
  public interface IProvinciaRepository : IRepository<Provincia>
  {
    /// <summary>
    /// Buscar todas las provincias
    /// </summary>
    /// <returns>Lista de todas las provincias</returns>
    List<Provincia> BuscarProvincia();
  }
}
