﻿CREATE TABLE [dbo].[VehiculosVenta] (
    [Id]                  UNIQUEIDENTIFIER NOT NULL,
    [Codigo]              NVARCHAR (15)    NULL,
    [FechaDeEntrada]      DATE             NULL,
    [Estado]              INT              NULL,
    [Marca]               NVARCHAR (50)    NULL,
    [Modelo]              NVARCHAR (50)    NULL,
    [Matricula]           NVARCHAR (10)    NULL,
    [Kilometros]          NUMERIC (10, 2)  NULL,
    [Color]               NVARCHAR (50)    NULL,
    [Tipo]                NVARCHAR (50)    NULL,
    [FechaMatriculacion]  DATE             NULL,
    [Cilindrada]          NUMERIC (10, 2)  NULL,
    [Potencia]            NUMERIC (10, 2)  NULL,
    [Combustible]         NVARCHAR (20)    NULL,
    [Bastidor]            NVARCHAR (20)    NULL,
    [Itv]                 INT              NULL,
    [UltimaInspeccion]    DATE             NULL,
    [ProximaInspeccion]   DATE             NULL,
    [Observaciones]       NVARCHAR (300)   NULL,
    [Precio]              MONEY            NULL,
    [FechaInicioGarantia] DATE             NULL,
    [MesesGarantia]       INT              NULL,
    [IdPresupuesto]       UNIQUEIDENTIFIER NULL,
    [IdVenta]             UNIQUEIDENTIFIER NULL,
    [CodigoTaller]        NVARCHAR (50)    NULL
);

