﻿using System;
using Autofac;

namespace GestionConcesionarios.Infraestructura.Presentacion
{
  public class BootStrapper
  {
    #region Atributos

    private readonly IContainer _container;

    #endregion

    #region Constructores

    public BootStrapper(IContainer container)
    {
      if (container == null) throw new ArgumentNullException("container");

      _container = container;
    }

    #endregion

    #region Propiedades

    public IContainer Container
    {
      get { return _container; }
    }

    #endregion
  }
}
