﻿using System;
using GestionConcesionarios.Presentacion.Base;

namespace GestionConcesionarios.Presentacion.CasosDeUso.HistorialOrdenesDeReparacion
{
  public partial class FormHistorialOrdenesDeReparacion : BindableFormBase
  {
    #region Atributos

    private readonly HistorialOrdenesDeReparacionPresenter _historialOrdenesDeReparacionPresenter;

    #endregion

    #region Constructores

    public FormHistorialOrdenesDeReparacion(HistorialOrdenesDeReparacionPresenter historialOrdenesDeReparacionPresenter)
    {
      InitializeComponent();
      _historialOrdenesDeReparacionPresenter = historialOrdenesDeReparacionPresenter;
    }

    #endregion

    #region Manejadores de eventos

    private void FormHistorialOrdenesDeReparacion_Load(object sender, EventArgs e)
    {
      if (_historialOrdenesDeReparacionPresenter != null)
      {
        /*
        _historialOrdenesDeReparacionPresenter.SetModelReadOnly();
        _historialOrdenesDeReparacionPresenter.NuevaFinalizarReparaciones();
        _historialOrdenesDeReparacionPresenter.SubscribirAccionesACambiosEnElModelo();
        */
        bindingSourcePresenter.DataSource = _historialOrdenesDeReparacionPresenter;
      }
    }

    private void simpleButtonVerDetalles_Click(object sender, EventArgs e)
    {

    }

    #endregion
  }
}